Tag: zypper

Есть ли способ получить контрольную сумму пакета, используя `zypper`?

Как получить контрольную сумму пакета при использовании zypper . Я пробовал даже параметр –xmlout как zypper –xmlout –no-refresh install -D -y –no-recommends MozillaFirefox . Есть ли способ получить контрольную сумму устанавливаемого пакета перед его загрузкой?

Проблема: ничего не предоставляет libcrypto.so.10 () (64 бит), необходимый Percona-Server-client-57-5.7.10-3.1.el7.x86_64

Я пытаюсь установить загруженные percona RPM percona : > ls -1 Percona-Server-5.7.10-3-r63dafaf-el7-x86_64-bundle.tar Percona-Server-57-debuginfo-5.7.10-3.1.el7.x86_64.rpm Percona-Server-client-57-5.7.10-3.1.el7.x86_64.rpm Percona-Server-devel-57-5.7.10-3.1.el7.x86_64.rpm Percona-Server-server-57-5.7.10-3.1.el7.x86_64.rpm Percona-Server-shared-57-5.7.10-3.1.el7.x86_64.rpm Percona-Server-shared-compat-57-5.7.10-3.1.el7.x86_64.rpm Percona-Server-test-57-5.7.10-3.1.el7.x86_64.rpm Percona-Server-tokudb-57-5.7.10-3.1.el7.x86_64.rpm Запустив следующую команду: > sudo zypper in Percona-Server-*.rpm Но я получаю эту ошибку: Problem: nothing provides libcrypto.so.10()(64bit) needed by Percona-Server-client-57-5.7.10-3.1.el7.x86_64 Solution 1: do not install Percona-Server-client-57-5.7.10-3.1.el7.x86_64 Solution 2: break Percona-Server-client-57-5.7.10-3.1.el7.x86_64 by ignoring some of its […]

Как изменить путь установки по умолчанию, используя zypper в suse 11.2?

Я хочу указать путь установки с помощью zypper , но я не нашел подходящего аргумента, когда набрал команду zypper -h . Может ли кто-нибудь мне помочь или сказать? ПРИМЕЧАНИЕ. Мое распределение – OpenSuSE 11.2.

Что такое эквивалент Opensuse `apt-get source`?

В Debian я мог легко загрузить исходные источники для пакета с apt-get source . Я нашел это очень полезным для изучения программного обеспечения, которое я использую. Как я могу сделать что-то подобное в Opensuse? Самое близкое, что я нашел, это команда zyppre source-download соответствии с текстом справки о том, что он будет загружать источники для […]

Обновление curl, но «openSUSE-12.3-Update-Non-Oss», похоже, устарело

На моем веб-сервере работает Magento 1.8.1.0, который использует php-curl под капотом. Он запускает openSUSE 12.3 и: PHP 5.3.17 Apache 2.2.29 mysql Ver 14.14 Distrib 5.5.33 OpenSSL 1.0.1j Установленная версия завитка: curl -V curl 7.28.1 (x86_64-suse-linux-gnu) libcurl/7.28.1 OpenSSL/1.0.1j zlib/1.2.7 libidn/1.25 libssh2/1.4.3 Protocols: dict file ftp ftps gopher http https imap imaps ldap ldaps pop3 pop3s rtsp […]

Установка GCC-5

Я хотел бы установить gcc-5 на свою локальную машину. Но я сталкиваюсь с некоторыми проблемами. Когда я набираю следующую команду: sudo zypper install gcc-5 Я получил следующий ответ Загрузка данных репозитория … Чтение установленных пакетов … Пакет 'gcc-5' не найден. Разрешение зависимостей пакетов … Нечего делать. Это странно, потому что, когда я печатаю следующую команду: […]

Отметить RPM как автоматически или вручную

Существует вопрос о том, как пометить RPM как автоматически установленный , но этот вопрос касается Fedora. Я использую zypper на OpenSUSE в качестве конечного пользователя и хотел бы знать, как пометить пакет, чтобы он (или не отображался) отображался в списке unneeded пакетов, с zypper packages –unneeded . Я ищу что-то вдоль линии zypper mark autoselected […]

Как И-слова в поиске zypper?

Предположим, что я хочу искать пакет luasocket в OpenSUSE, но я не знаю, называется ли это lua-socket , lua_socket , liblua-socket , lua5.1-socket , socket-lua или кто знает что. Поэтому я делаю поиск: zypper se lua socket Проблема с этим заключается в том, что он показывает как пакеты, содержащие ключевое слово lua и пакеты, содержащие […]

Нет информации о версии?

Как я могу исправить эту проблему? Что такое libzypp.so.1106 и libaugeas.so.0? Почему эта ошибка повторяется столько раз в libzypp.so.1106? zypper: /usr/local/lib64/libxml2.so.2: no version information available (required by / usr/lib64/libzypp.so.1106) zypper: /usr/local/lib64/libxml2.so.2: no version information available (required by /usr/lib64/libzypp.so.1106) zypper: /usr/local/lib64/libxml2.so.2: no version information available (required by /usr/lib64/libzypp.so.1106) zypper: /usr/local/lib64/libxml2.so.2: no version information available (required by […]

Неполадка библиотеки OpenSUSE 12.3 – полностью оборвана, обновление прошло плохо

Моя рабочая станция на работе – OpenSUSE 12.3 KDE. Я добавил репозиторий pacman для обновления SVN с 1.7.11 до 1.8.?. Позже я запустил zypper-обновление, которое обновляет все библиотеки до последней «стабильной» сборки. Ну, я думаю, что он вытащил много пакетов из репозитория pacman, потому что он обновил около 1800 библиотек. Кроме того, теперь, когда я […]

Interesting Posts

Установка вина из источника без доступа root

Вводится как инициировать самоисследование системы с определенным паролем

Прикрепить файлы для отправки почты, которые являются результатом набора команды find

Непоследовательность серверов SMTP

Как включить вкладку zsh / prezto?

Как я могу предотвратить столкновение $ @ с двойной цитатой в bash?

Почему я установил 64-разрядный бит Ubuntu на машину Pentium 4?

Запустите несколько экранов и прикрепите их для разделения изображения

Как реализовать макет с автозапуском приложений в диспетчере окон i3?

GUI-библиотека или диспетчер окон с использованием HTML

Перевод идентификатора пользователя при создании образа

Скрипт умирает, когда родительский процесс завершается

Всплывающий полноэкранный режим на вторичном (большем) экране не работает

как я могу создать файловую систему на дополнительном диске

Grub и загрузчик

Linux и Unix - лучшая ОС в мире.